List by Group

  • GET
  • /workspaces
  • /:workspace_domain
  • /projects
  • /:project_name
  • /unit-tests
  • /suites
  • /:suite_id
  • /sessions
  • /:session_id
  • /test-groups
  • /:test_group_id
  • /cases

Get all test cases for a test group

Request

REQUIRED SCOPES
UNIT_TEST_INFO
URL PARAMETERS
workspace_domainrequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

suite_idrequiredstring
The ID of the unit test suite

Example: "MNbyVedg"

session_idrequiredstring
The ID of the test session

Example: "r4nBYXVq"

test_group_idrequiredstring
The ID of the test group

Example: "com.example.tests.IntegrationTests"

GET PARAMETERS
pageinteger
The number of the successive pages (results are split into pages of per_page elements each).

Example: 1

per_pageinteger
Specifies the number of returned elements on the page. The default value is 20.

Example: 20

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
casesShortTestCaseView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace_domain/projects/:project_name/unit-tests/suites/:suite_id/sessions/:session_id/test-groups/:test_group_id/cases" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/cases", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7", "cases": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5e6b46c1345dfc9bc3a/cases/68f0a5e6b46c1345dfc9bc3b", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7", "id": "68f0a5e6b46c1345dfc9bc3b", "name": "testSkipped", "test_group_name": "com.example.PaymentServiceTest", "test_group_id": "68f0a5e6b46c1345dfc9bc3a", "classname": "com.example.PaymentServiceTest", "status": "SKIPPED", "time": 0 }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5e6b46c1345dfc9bc37/cases/68f0a5e6b46c1345dfc9bc39", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7", "id": "68f0a5e6b46c1345dfc9bc39", "name": "testShouldHandleError", "test_group_name": "com.example.UserServiceTest", "test_group_id": "68f0a5e6b46c1345dfc9bc37", "classname": "com.example.UserServiceTest", "status": "FAILED", "time": 0.456 }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5e6b46c1345dfc9bc37/cases/68f0a5e6b46c1345dfc9bc38", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7", "id": "68f0a5e6b46c1345dfc9bc38", "name": "testShouldReturnSuccess", "test_group_name": "com.example.UserServiceTest", "test_group_id": "68f0a5e6b46c1345dfc9bc37", "classname": "com.example.UserServiceTest", "status": "PASSED", "time": 0.123 }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5d8b46c1345dfc9bbfd/cases/68f0a5d8b46c1345dfc9bbfe", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7", "id": "68f0a5d8b46c1345dfc9bbfe", "name": "FormInput", "test_group_name": "src/components/src/components/form/input.test.tsx", "test_group_id": "68f0a5d8b46c1345dfc9bbfd", "classname": "src/components/src/components/form/input.test.tsx", "status": "PASSED", "time": 0.061 }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5d8b46c1345dfc9bbff/cases/68f0a5d8b46c1345dfc9bc00", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7", "id": "68f0a5d8b46c1345dfc9bc00", "name": "Wrapper", "test_group_name": "src/components/src/components/wrapper/wrapper.test.tsx", "test_group_id": "68f0a5d8b46c1345dfc9bbff", "classname": "src/components/src/components/wrapper/wrapper.test.tsx", "status": "PASSED", "time": 0.085 } ] }
STATUS
200 OK